Save entities
Starting the process for saving entities.
Note: The bulk endpoint can take up to 50 entities in a single request.
Note: The total size of the request body must not exceed 200 MB.
Headers
Api key to validate your source.
"source-90880177-e9a1-47b3-9a40-7b728a6bafd8"
The length of the message body, in bytes (this header is automatically added by most clients).
Note: The endpoint does not support Transfer-Encoding: chunked. JsonContent and PostAsJsonAsync in .NET will by default set the Transfer-Encoding: chunked header. Use types like e.g. StringContent or ByteArrayContent instead.
Body
Array of entities to process
Id of the entity. Must be same format for all entities within the same source. Eg. integers, guids, etc.
The type or alias of the type of entity being send to process. Eg. blogList, blogPage, frontPage, etc. Only used for raw body
If the entity is routable send the URL. Otherwise leave as null.
Allowed as null if entity is not routable.
Note: The URL needs to begin with a leading slash.
Allowed as null if no hierarchy exists.
"123"
URLs that redirects to the current page. Eg. https://enterspeed.com/product-enterspeed-tshirt-old/ redirecting to https://enterspeed.com/product-enterspeed-tshirt/.
Property names:
- cannot start with a digit
- cannot consist only of underscores
- can contain A-Z, a-z letters, digits and underscores
[
{
"type": "product",
"originId": "p-5427",
"properties": {
"name": "Official Enterspeed T-shirt",
"price": 199.99,
"inStock": true,
"features": [
{ "name": "color", "value": "blue" },
{ "name": "size", "value": "M" }
],
"information": {
"short": "Nice t-shirt",
"long": "Nice t-shirt in cotton"
}
}
},
{
"type": "product",
"originId": "p-6724",
"properties": {
"name": "Official Enterspeed Hoddie",
"price": 249.95,
"inStock": true,
"features": [
{ "name": "color", "value": "blue" },
{ "name": "size", "value": "M" }
],
"information": {
"short": "Nice hoddie",
"long": "Nice hoddie in cotton"
}
}
}
]Response
Valid request. Processing of posted entities has begun.
A successful response is returned if one or more entities were valid. Only if all entities are invalid a 422 response is returned.
Response for bulk ingest operations, containing lists of changed, unchanged, and errored entities.
Note: This schema applies to bulk operations only. For single entity ingest responses, see the /ingest/v2/{originId} endpoint documentation.
HTTP status code (200 for partial/full success, 422 for all entities failed)
200
List of originIds for entities that were changed
["p-5427"]List of originIds for entities that were unchanged
["p-6724"]Dictionary of originId to list of error messages
{ "1234": ["Validation failed"] }Metadata about the ingest operation